=?utf-8?q?Post=EF=AC=81x-Cyrus-Web-cyradm-__Postfix-Cyrus-Web-cyradm-HOWTO?=

=?utf-8?q?Post=EF=AC=81x-Cyrus-Web-cyradm-__Postfix-Cyrus-Web-cyradm-HOWTO?=

Post by mervi » Tue, 15 May 2007 12:15:05


Hello;

I have Fedora Core 6. Have been using this documentation at
http://www.yqcomputer.com/
Trying to configure cyrus-imapd-2.3.8 I get this output:

configure: error: Berkeley DB 3.x or later was not found. You may
need to
supply the --with-bdb-libdir or --with-bdb-incdir configure options.

The Berkeley DB version is db-4.3.29.tar.gz and is installed in /usr/
local/BerkeleyDB.4.3

Here are my configure options that produce the error:

export CPPFLAGS="-I/usr/include/et"
./configure \
--with-sasl=/usr/local/lib \
--with-perl \
--with-auth=unix \
--with-dbdir=/usr/local/BerkeleyDB.4.3 \
--with-bdb-libdir=/usr/local/BerkeleyDB.4.3/lib \
--with-bdb-incdir=/usr/local/BerkeleyDB.4.3/include \
--with-openssl=/usr/local/ssl \
--without-ucdsnmp \

I have installed db4-devel-4.3.29-9.fc6.i386 with the Fedora package
manager. Have tried different db version, symlinking, all I could
scour on the web for this error.

Any help would be appreciated, thanks;

Bob Donaldson